<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>investment-oficial documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">investment-oficial documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>LandingComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/landing/landing.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-landing</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./landing.component.css</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./landing.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#svgs">svgs</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor()</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/landing/landing.component.ts:23</a></div>
                            </td>
                        </tr>

            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <b>
                            ngOnInit
                        </b>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="27"
                            class="link-to-prism">src/app/landing/landing.component.ts:27</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="svgs"></a>
                        <span class="name">
                            <b>
                            svgs</b>
                            <a href="#svgs"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="../interfaces/SvgLanding.html" target="_self" >SvgLanding[]</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[
    {src: &#x27;./assets/image/landing-svg/chart-1.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/chart-2.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/chart-3.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/screen-02.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/chart-4.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/screen-02-1.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/screen-02-4.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/screen-02-1-2.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/screen-02-2.svg&#x27;},
  ]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="13" class="link-to-prism">src/app/landing/landing.component.ts:13</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;

interface SvgLanding {
  src: string;
}
@Component({
  selector: &#x27;app-landing&#x27;,
  templateUrl: &#x27;./landing.component.html&#x27;,
  styleUrls: [&#x27;./landing.component.css&#x27;]
})
export class LandingComponent implements OnInit {

  svgs: SvgLanding[] &#x3D; [
    {src: &#x27;./assets/image/landing-svg/chart-1.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/chart-2.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/chart-3.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/screen-02.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/chart-4.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/screen-02-1.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/screen-02-4.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/screen-02-1-2.svg&#x27;},
    {src: &#x27;./assets/image/landing-svg/screen-02-2.svg&#x27;},
  ];

  constructor() { }

  ngOnInit(): void {

  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;app-header&gt;&lt;/app-header&gt;
&lt;div class&#x3D;&quot;inv-landing&quot;&gt;
  &lt;img class&#x3D;&quot;img-bg&quot; src&#x3D;&quot;./assets/image/subtract.svg&quot; alt&#x3D;&quot;&quot;&gt;
  &lt;div class&#x3D;&quot;inv-content&quot;&gt;
    &lt;div class&#x3D;&quot;text-block&quot;&gt;
      &lt;h1&gt;Monitorea tu proyecto de inversión en tiempo real&lt;/h1&gt;
      &lt;p&gt;&lt;strong&gt;Investment&lt;/strong&gt; es una plataforma web de simulación que te ayuda en la toma de decisiones en tu
        proycto de inversión.&lt;/p&gt;
      &lt;button class&#x3D;&quot;try-btn&quot; routerLink&#x3D;&quot;sign-up&quot; mat-raised-button&gt;Pruebalo ahora&lt;/button&gt;
    &lt;/div&gt;
    &lt;div class&#x3D;&quot;main-screen&quot;&gt;
      &lt;div class&#x3D;&quot;svg-content&quot;&gt;
        &lt;mat-card *ngFor&#x3D;&quot;let svg of svgs&quot;&gt;
          &lt;img mat-card-image src&#x3D;{{svg.src}}&gt;
        &lt;/mat-card&gt;
      &lt;/div&gt;
    &lt;/div&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;app-footer&gt;&lt;/app-footer&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./landing.component.css</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.inv-landing {
  width: 100%;
  height: 100%;
  background-color: #801336;
  display: flex;
  flex-direction: row;
}
.inv-content {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
.img-bg {
  position: absolute;
}

.text-block {
  /* display: flex;
  flex-direction: column;
  align-items: flex-start;
   */
  color: #ffffff;
  width: 34.5%;
  margin: 7% auto;
}
.main-screen {
  background: #ffffff;
  width: 47%;
  height: 85%;
  border-radius: 34px 0px 0px 34px;
  padding: 25px;
  margin-top: 20px;
}
.text-block h1 {
  font-family: Roboto;
  font-style: normal;
  font-weight: bold;
  font-size: 3.125rem;
  line-height: 120%;

}
.text-block p {
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 1.125rem;
  line-height: 150%;
}
.text-block button {
  margin-top: 50px;
  border: 2px solid #EE4540;
  color: #EE4540;
  width: 238px;
}
.svg-content {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}
.svg-content mat-card {
  margin-right: 20px;
  margin-bottom: 20px;
  width: 25%;
  box-shadow: 0px 30px 60px #b2b2b240;
  animation-name: card-animation;
  animation-duration: 4s;
  animation-delay: -2s;
}
.text-block button:hover {
  background: #EE4540;
  color: #ffffff;
  width: 238px;
}

@keyframes card-animation {
  0%   {left:0px; top:0px;}
  25%  {left:200px; top:0px;}
  50%  {left:200px; top:200px;}
  75%  {left:0px; top:200px;}
  100% {left:0px; top:0px;}
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><app-header></app-header><div class="inv-landing">  <img class="img-bg" src="./assets/image/subtract.svg" alt="">  <div class="inv-content">    <div class="text-block">      <h1>Monitorea tu proyecto de inversión en tiempo real</h1>      <p><strong>Investment</strong> es una plataforma web de simulación que te ayuda en la toma de decisiones en tu        proycto de inversión.</p>      <button class="try-btn" routerLink="sign-up" mat-raised-button>Pruebalo ahora</button>    </div>    <div class="main-screen">      <div class="svg-content">        <mat-card *ngFor="let svg of svgs">          <img mat-card-image src={{svg.src}}>        </mat-card>      </div>    </div>  </div></div><app-footer></app-footer></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'CoreComponent', 'selector': 'app-core'},{'name': 'FooterComponent', 'selector': 'app-footer'},{'name': 'HeaderComponent', 'selector': 'app-header'},{'name': 'HomeComponent', 'selector': 'app-home'},{'name': 'LandingComponent', 'selector': 'app-landing'},{'name': 'LoginComponent', 'selector': 'app-login'},{'name': 'ProyectResultComponent', 'selector': 'app-proyect-result'},{'name': 'ResultComponent', 'selector': 'app-result'},{'name': 'SignUpComponent', 'selector': 'app-sign-up'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'LandingComponent'};
</script>
<script src="../js/tree.js"></script>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'LandingComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
